{% extends 'base.html' %}
{% block meta_tags %}<title>Profile - Components</title>
        <meta name="description" content="Edit Profile page in components site">{% endblock %}
{% block content %}
<div class="subcontainer">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
            {% if messages %}
                <ul class="messages text-center list-inline">
                    {% for message in messages %}
                        <li {% if message.tags %} class="list-inline-item {{ message.tags }}"{% endif %}>{{ message }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
    </div>
    <div class="col-md-8 col-sm-8 col-xs-12 col-lg-4">
    <div class = "card border-dark mb-3">
       <div class = "card-body">
            <div class="text-center mb-4">
                <h2 class="card-title">Update Profile</h2>
            </div>
            <form method="POST">
                <div class="form-group">
                    <!-- {{ edit_profile_form.first_name.label_tag }} -->
                    {{ edit_profile_form.first_name }}
                    {{ edit_profile_form.first_name.errors }}
                </div>
                <!--
                <div class="row">
                    <div class="form-group">
                        {{ edit_profile_form.last_name.label_tag }}
                        {{ edit_profile_form.last_name }}
                        {{ edit_profile_form.last_name.errors }}
                    </div>
                </div>
                -->
                <div class="form-group">
                    <!-- {{ edit_profile_form.username.label_tag }} -->
                    {{ edit_profile_form.username }}
                    {{ edit_profile_form.username.errors }}
                </div>
                <div class="form-group">
                    <!-- {{ edit_profile_form.email.label_tag }} -->
                    {{ edit_profile_form.email }}
                    {{ edit_profile_form.email.errors }}
                </div>
                <div class="form-group">
                    <!-- {{ edit_profile_form.email.label_tag }} -->
                    {{ edit_profile_form.mobile }}
                    {{ edit_profile_form.mobile.errors }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success col-lg-12 col-md-12 col-xs-12 col-sm-12" name="edit-profile">Save Profile</button>
                </div>
                {% csrf_token %}
            </form>
            <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                <ul class="list-inline">
                    <li>
                        <a href="{% url 'account:change-password' %}">Change Password</a>
                    </li>
                    <!-- <li>
                        <a href="{% url 'account:logout' %}">Logout</a>
                    </li>
                    -->
                </ul>
            </div>
       </div>
    </div>
</div>
</div>
{% endblock %}